#include <fstream>

using namespace std;

int main()
{
    ifstream in("railroad.in");
    ofstream out("railroad.out");
    int n, m;
    in >> n >> m;
    for (int i = 0; i < m;i++)
        out << (i + 1) << "\n";
}
